<?php

namespace Drupal\simple_entity_merge\Plugin\EntityReferenceSelection;

use Drupal\Core\Entity\Plugin\EntityReferenceSelection\DefaultSelection;

/**
 * Entity Reference Selection for the Simple Entity Merge form.
 *
 * @EntityReferenceSelection(
 *   id = "simple_entity_merge",
 *   label = @Translation("Simple Entity Merge"),
 *   group = "simple_entity_merge",
 *   weight = 0,
 * )
 */
class MergeSelection extends DefaultSelection {

  /**
   * {@inheritdoc}
   */
  protected function buildEntityQuery($match = NULL, $match_operator = 'CONTAINS') {
    $configuration = $this->getConfiguration();
    $targetType = $configuration['target_type'];
    $entityType = $this->entityTypeManager->getDefinition($targetType);

    $query = parent::buildEntityQuery($match, $match_operator);
    $query->condition($entityType->getKey('id'), $configuration['entity_id'], '!=');

    return $query;
  }

}
